import { SubProcess } from 'teen_process';
import { BaseDeviceClient } from './base-device-client';
import type { BaseDeviceClientOptions, InstallProfileArgs } from './base-device-client';
import type { CertificateList } from '../commands/types';
export interface PyideviceOptions extends BaseDeviceClientOptions {
    udid: string;
}
export declare class Pyidevice extends BaseDeviceClient {
    private readonly _udid;
    private _binaryPath;
    constructor(opts: PyideviceOptions);
    assertExists(isStrict?: boolean): Promise<boolean>;
    listProfiles(): Promise<CertificateList>;
    installProfile(args: InstallProfileArgs): Promise<void>;
    removeProfile(name: string): Promise<string>;
    listCrashes(): Promise<string[]>;
    exportCrash(name: string, dstFolder: string): Promise<void>;
    collectPcap(dstFile: string): Promise<SubProcess>;
    private execute;
}
//# sourceMappingURL=py-ios-device-client.d.ts.map